================================================================================
Multi-Core Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================

INTEL Enterprise Products and Services Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

================================================================================

DATE    : May 11, 2015
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version R02.05.0004

================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2015 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : SE5C600.86B.02.05.0004.051120151007
Build Date  : May 11, 2015

================================================================================
                           Supported Platforms
================================================================================
        S2400BB Black Bear Pass
        S2600CP	Canoe Pass
        S2600CO Copper Pass	
        W2600CR Crown Pass
        S2400EP Eagle Pass	
        S2400GP	Granite Pass		
        S2600GL Grizzly Pass 16 
        S2600GZ Grizzly Pass 24 	
        S2600IP	Iron Pass			
        S2600JF Jefferson Pass		
        S2400LP	Lincoln Pass
        S2600KI King Island
        S2400SC	SwitchCurrent Pass
        S2600WP Washington Pass/Washington Pass DePop
        S4600LH Lizard Head Pass
        S1400SP Salmon Pass
        S1400FP Freemont pass
        S1600JP Jackson pass
	
================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
SandyBridge EP/EN Processor
IvyBridge Processor

Microcode update versions:
CPUID     Version      Status
0x206D5   0x00000513   Production (SandyBridge EP4S/EP/EN C0)
0x206D6   0x00000619   Production (SandyBridge EP4S/EP/EN C1)
0x206D7   0x00000710   Production (SandyBridge EP4S/EP/EN C2)
0x306e4   0x00000428   IVYTOWN  C1/C0/M0/M1/S1/S0

On-Board Component Option ROM Versions:
Integrated Matrox VGA               : VBE BIOS V3.8 SQ
1G PXE Option ROM                   : Intel(R) Boot Agent GE v1.5.53.1
10G PXE Option ROM                  : Intel(R) Boot Agent XE v2.3.24.1
iSCSI Option ROM                    : Intel(R) iSCSI Remote Boot version v3.0.34
FCoE Option ROM                     : Intel(R) 10G FCoE OpROM v1.8.17
UEFI Pxe drvier:		    : v6.3.27
SAS RAID Option ROM - RSTe          : 4.2.0.1036
SATA RAID Option ROM - RSTe         : 4.2.0.1036
SATA RSTe EFI driver Version        : 4.2.0.1036
SAS RSTe EFI driver Version         : 4.2.0.1036
ESRT II FOR SATA                    : A.14.02121826
ESRT II FOR SCU                     : SCU.11.08131348I          
BIOSAC                              : V2.4  
SINIT                               : v2.2
Intel(R) QPI Reference Code Version : V02.00.00.03
Memory Reference Code Version       : V02.00.00.03

Management Engine Firmware Version  : 02.01.07.328

================================================================================
			  INTRODUCTION
================================================================================ 
    x*ME.cap - It is for ME FW upgrade, only include operational region. 
    x*MEComplete.cap - It is for ME FW upgrade, include both operational and recovery region.
    x*TXT.cap - It is combined in normal Capsule since x044 BIOS. It is for Txt-SX support, 
    you must upgrade TXT.cap follow installation notes at first once you want to enable TXT feature on Romley TXT capable platforms. 

================================================================================
			 INSTALLATION NOTES
================================================================================

WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

!!!!! If updating from any BIOS revision prior to R0018, then you must use !!!!!
!!!!! method B below to program the entire 8MB BIOS ROM image              !!!!!

User can update BIOS flash image via either of the follow methods...
A. UEFI iFlash32
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi, ipmi.efi and BIOS.CAP file to a HD or USB Flash Drive
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt
	   fs0:\> IFlash32 [File Name] /u /ni
   6.  Reboot system after the update is completed.

B. Use flash programmer to burn the new BIOS ROM image (8MB) into the flash chip.

================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================
The Recovery process can be initiated by setting the recovery jumper (called BIOS Recovery Boot Jumper)
 
A BIOS recovery can be accomplished from USB Mass Storage device. 
Please note that recovery from USB floppy is not supported on this platform. 
 
The recovery media must contain the following files under the root directory:
   1.  RML.ROM 
   2.  UEFI iFlash32 (including IFlash32.efi and ipmi.efi )
   3.  *Rec.CAP
   4.  Startup.nsh (update accordingly to use proper *Rec.CAP file)
 
BIOS starts the recovery process by first loading and booting to the recovery image 
file (RML.ROM) on the root directory of the recovery media (USB disk).
This process takes place before any video or console is available. Once the system boots 
to this recovery image file, it will boot automatically into EFI Shell to 
invoke the Startup.nsh script and start the flash update application (IFlash32.efi). 
IFlash32.efi requires the supporting BIOS Capsule image file (*Rec.CAP). 
After the update is complete, there will be a message displayed stating that the
"BIOS has been updated successfully" indicating the recovery process is finished.
The User should then switch the recovery jumper back to normal operation and restart
the system by performing a power cycle.
 
The following steps demonstrate this recovery process:
   1.  Power OFF the system.
   2.  Insert recovery media.
   3.  Switch the recovery jumper. Details regarding the jumper ID and location
       can be obtained from the Board EPS for that Platform.
   4.  Power ON the system.
   5.  The BIOS POST screen will appear displaying the progress and system automatically 
       boots to the EFI SHELL.
   6.  Startup.nsh file executes, and initiates the flash update (IFlash32.efi)
       with new capsule file (*Rec.CAP). The regular IFlash message will be displayed at
       the end of the process, once the flash update succeeds.
   7.  Power OFF the system, and revert the recovery jumper position to "normal operation".
   8.  Power ON the system. 
   9.  Do *NOT* interrupt the BIOS POST during the first boot.

================================================================================
               Super Capsule INSTALLATION NOTES
================================================================================

  Please refer to the ReleaseNotes.txt in super capsule package. 

================================================================================
				ME FW Capsule INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

!!!!! Please make sure AC plug in during update !!!!!
!!!!! AC failure during update may cause damage to your system and unrecoverable !!!!!

!!!!! Please use MEComplete.cap to update ME FW due to ME FW is still not Production Version !!!!!

User can update ME image via either of the follow methods:

A. UEFI iFlash32
   1.  Boot the system to EFI Shell
   2.  Download ME release package
   3.  Unzip the ME release package to HD ot USB Flash Drive	
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt.
       Use ME.cap file when ME operational Image update is required.(not support yet)
       Use MEComplete.cap file when Only whole ME Image update is required.

	   fs0:\> IFlash32 [File Name] /u /ni 

   6.  Reboot system after the update is completed.
   7.  ME image name change to ME.cap and MEComplete.cap since x027release. 

B. Use flash programmer to burn the new BIOS ROM image (8MB-From BIOS rlease package ) into the flash chip.

================================================================================
				IMPORTANT NOTICE
================================================================================
1. BIOS ID has changed. All BIOS releases during NPI Phase will now be labeled as MajorVersion.MinorVersion.ReleaseNumber where MajorVersion 
   and MinorVersion will always be reflected as 99.99 and the first digit in the Release Number will always be "x".
2. There are two capsule files in release package?x0xx.cap for system w/o TXT support and x0xxTXT.cap for system w/ TXT support.
   To enable TXT support with BIOS x030, system configuration must be JKT C0 production + PBG C0 board. Upgrade x030Txt.cap and then AC off after upgrade completion; 
   To switch back to  non-TXT BIOS, it requires to change TXT setup item back to disabled or load BIOS default and then update the non-TXT capsule.
3. There are four ROMs built for each platform except HWFF, they are for PBG SKU -A -B -D -T; for HWFF platfrom, only -A -B 
   avialible for each PBG stepping, so there are two ROM generated for HWFF platforms.
4. ROM file to support PBG-J SKU is same with the one supports PBG-B SKU.
5. ROM file will support both PBG C0 and C1 stepping.
6. There are seperate MEComplete capsules for different platforms.  
   1)For Half Width boards like LincolnPass, JeffersonPass,WashingtonPass use the HFW_package.
   2)For Full Width boards like CanoePass,SwiftcurrentPass, GrizzlyPass, IronPass, CrownPass, GranitePass, BlackBearPass, CopperPass use normal package.
   3)For KingIsland board use the KI_package.
   4)For JacksonPass and SalmonPass, pls use MEComplete_xx.xx.xx.xx_PM11.cap
7. With IVB, replace whitelist with CPU IOU port based setup option to enable Gen3 for IVB only, which is described in CCB185 
   With SNB, force Gen3 device to Gen2 except for the devices in white list. Below are devices in the white list:
   ----------------------------------------------------------------------------------------------
   |           Card vendor         | VendorID | DeviceID | Sub-Vendor | Sub-Device |platform ID |
   |--------------------------------------------------------------------------------------------|
   | Adaptec 72405e                    9005      028C       9005         0506         ALL       |
   | Adaptec 71605e                    9005      028C       9005         0505         ALL       |
   | Adaptec 71685                     9005      028C       9005         0502         ALL       |
   | Adaptec 78165                     9005      028C       9005         0507         ALL       |
   | Adaptec 7805/7805Q                9005      028C       9005         0500         ALL       |
   | Adaptec 71605/71605Q              9005      028C       9005         0501         ALL       |
   | Adaptec 72405                     9005      028C       9005         0503         ALL       |
   | Intel Zia Beach (RCS25ZB040)      1000      005B       8086         8081         ALL       |
   | Intel Zia Beach (RCS25ZB040LX)    1000      005B       8086         8082         ALL       |
   | Intel Delray Beach (RS25DB080)    1000      005B       8086         9265         ALL       |
   | Intel Aliso Beach (RS25AB080)     1000      005B       8086         9268         ALL       |
   | LSI 9270-8i                       1000      005B       1000         9270         ALL       |
   | Intel RS25SB008                   1000      005B       8086         9288         ALL       |
   | Intel Neptune Beach (RS25NB008)   1000      005B       8086         9285         ALL       |
   | LSI 9286-8e                       1000      005B       1000         9290         ALL       |
   | LSI 9286CV-8e                     1000      005B       1000         9291         ALL       |
   | LSI 9286CV-8eCC                   1000      005B       1000         9295         ALL       |
   | LSI 9300-8e                       1000      0097       1000         30A0         ALL       |
   | Intel Guadalupe Canyon (GC)       1000      0097       8086         3522         ALL       |
   | LSI 9310-8i                       1000      0097       1000         30C0         ALL       |
   | LSI 9311-4i4e                     1000      0097       1000         30B0         ALL       |
   | Intel Fall Canyon (FC)            1000      0097       8086         3523         ALL       |
   | LSI 9311-8i                       1000      0097       1000         3090         ALL       |
   | Intel Umbrella Canyon (UC)        1000      0097       8086         3524         ALL       |
   | Intel Dark Canyon -8 (DC)         1000      005D       8086         9360         ALL       |
   | Intel Dark Canyon -4 (DC)         1000      005D       8086         9362         ALL       |
   | LSI 9361-8i                       1000      005D       1000         9361         ALL       |
   | LSI 9361-4i                       1000      005D       1000         9363         ALL       |
   | QLogic QLE2672-CK                 1077      2031       1077         0249         ALL       |
   | LSI 9300-4i                       1000      0096       1000         3110         ALL       |
   | LSI 9300-4i4e                     1000      0097       1000         30F0         ALL       |
   | LSI 9300-8i                       1000      0097       1000         30E0         ALL       |
   | Jackson Beach 8 port (GZP only)   1000      0087       8086         3516         ALL       |
   | Jackson Beach 4 port (GZP only)   1000      0087       8086         3517         ALL       |
   | LSI NMR8100-4i                    1000      005B       1000         8080         ALL       |
   | LSI NMR8110-4i                    1000      005B       1000         8081         ALL       |
   | LSI NMR8120-4i                    1000      005B       1000         8082         ALL       | 
   | Intel Wiamea Canyon -8 (RS3WC080) 1000      005D       8086         9341         ALL       |
   | Intel Wiamea Canyon -4 (RS3WC040) 1000      005D       8086         9343         ALL       |
   | LSI 9341-8i                       1000      005D       1000         9341         ALL       |
   | LSI 9341-4i                       1000      005D       1000         9343         ALL       |
   | LSI RMS25CB080                    1000      005B       8086         3513      GrizzlyPass  |  
   | LSI RMS25CB040                    1000      005B       8086         3514      GrizzlyPass  |
   | LSI RMT3CB080                     1000      005B       8086         3515      GrizzlyPass  |
   | LSI Lobster Beach                 1000      0087       8086         351A      JFP,WSP,JKP  | 
   | LSI Lobster Beach                 1000      0087       8086         351B      JFP,WSP,JKP  |
   | Mellanox Devices                  15B3      FFFF       FFFF         FFFF     LizardHeadPass|
   | PLX Switch                        10B5      8724       FFFF         FFFF     LizardHeadPass|
   ---------------------------------------------------------------------------------------------- 
   *All means all Romley platform except LizardHeadPass

8. Recovery cannot work across the different version of BIOS, e.g. R01.08.0004 cannot recovery from R01.08.0002; Based on the same version, recovery can work, e.g.R01.08.0004 can recovery from R01.08.0004.
9. To keep the downgrade compatibility between SNB-only bios x062 or earlier and IVB/SNB bios x063 or later,
   when downgrading from IVB/SNB BIOS to SNB-only BIOS, please update *rec.cap file or take the load default action like F9 in setup/CMOS clear after *.cap file update.
10.In R02.01.0002 release packages, Build date of SMP ROM file and JKP ROM file and ME PM11 capsule is 2013-9-10, and build date of other files is 2013-8-22. 
   SMP Rom File and JKP ROM file and ME PM11 capsule were updated for ME PM11 issue fix in the R02.01.0002, while other files weren't updated.  
11.As security requirement, R02.05.0002 and later reversion doesn't support downgrade to R02.05.0001 and previous reversion in normal mode,must jump into recovery mode, and use *Rec.cap file to do the downgrade.
	 For example:
	 Downgrade BIOS R02.05.0004 to R02.05.0001 must under recovery mode,use command "iflash32.efi /u /ni R02.05.0001Rec.cap"
12.Downgrade BIOS to R01.08.0003 and previous reversion,please use *Rec.cap file to update bios(Please combine Note11).
	 For example:
	 a. Downgrade BIOS R02.05.0002 to R01.08.0003,use *Rec.cap under recovery mode.
	 b. Downgrade BIOS R02.05.0001 to R01.08.0003,use *Rec.cap under normal mode.    
================================================================================
				KNOWN ISSUES/WORKAROUND
================================================================================
N/A

================================================================================
				FEATURES ADDED/REMOVED
================================================================================
Note:  BIOS ID has changed.  All BIOS releases during NPI Phase will now
be labelled as MajorVersion.MinorVersion.ReleaseNumber where MajorVersion and 
MinorVersion will always be reflected as 99.99 and the first digit in the
Release Number will always be "x".

================================================================================   
 				BIOS 01.01.0001
 =================================================================================
 - [RC]Remove JKT B0/B1 MicroCode
 - [RC]Protecting FD,PDR region  using Protection registers
 - [RC]Integrate ME SPS 02.01.05.064 release
 - [RC]Force Uplink root port as GEN1
 - [RC]Force SCU SATA/SAS 3Gb
 - [RC]SCU parameter Update 


 ================================================================================   
 				BIOS 01.01.0002
 =================================================================================
 - [RC]Security Revision Update
 - [RC]Integrate ME SPS 02.01.05.069 release
 - [RC]Copyright update to 2012
 - [RC]BIOS Region Lock

 ================================================================================   
 				BIOS 01.01.1002
 =================================================================================
 - [SCP]Secyrity Lock for SCP as SRA platform

 ================================================================================   
 				BIOS 01.02.2002
 =================================================================================
  - [CrP] Force IOM link speed as Gen1
  - [GrP]Secyrity Lock for Granite as SRA platform 
  
 
 =================================================================================   
 				BIOS 01.02.0003
 =================================================================================
 - MCA Recovery
 - fix RSTe dos test tool hangs  in real mode
 - [GZP]Onboard NIC2 option should be hide after the device disabled.
 - Reading Public key using SPI protocol
 - [KI] AC Power resume issue.
 - [LNP]Update the QPI Electrical parameter Data for LNP
 - [RC] Add ucode patch for JAKETOWN SIGHTING 3876550:PKGS FSM will not make fwd progress if PECI is not in the quisced state, causing a global reset
 - Optimize pcie gen3 initialization when S3 resume
 - PEI module run in RAM
 - change Memory Type for S3 time.
 - CPU cache parallel initialize when large memory.
 - skip ME info collection for S3 resume
 - Set CPU max frequency in SEC for S3 time more steady.
 - correct CrownPass pcie initialization for mux device.
 - [RC]Fix S3 resume always hang postcode 0xE8 after ESS code sync in x39.1 build.
 - [EGP]Eagle Pass Power on BIOS Append.
 - [JKP]JacksonPass power on code GPIO.
 - [JKP]JacksonPass power on code MONO.
 - [JKP]JacksonPass power on code PIRQ.
 - [C] FV_BB overflow due to code size increase
 - [CoP] Update QPI TAP settings per EA request.
 - [LHP]Add LHP Super capsule generation support
 - CCB85 Power and Preformance policy
 - [RC]Sync to ESS MPG_ROMLEY_LAUNCH_D020
 - [C] Txt code complete and ACM1.0PC4 integration
 - [RC] Support 4 NIC for Romley Projct
 - KI softstrap update
 - [C] ACM 1.0 PV integration
 - Implementation of Safe Update of Entire Intel ME Region
 - remove B0 and CRB's rom/cap
 - [RC] Fix for BIOS Sending incorrect value to BMC for FSC
 - [JFP]Update Gen2 Gen3 CTLE settings with latest SI report.
 - [CoP] Update PCH Strap 9 for PCH Slot 1 Reversal setting.
 - Signed BIOS SMI handler should update only BIOS region
 - [RC] support IB as EPS 0.59 Defined
 - fix klocwork issue on x41
 - [RC]Sync from ESS Romley Launch D021 HSD 3616041 (Uplink POR Change) and 3616010(Thermal Table update rev. 1.4) 
 - [RC] SMI time out in manufactory mode
 - [RC]Update JKT C1 and C2 ucode to latest Production code
 - [RC] Force SCU SATA/SAS 3G as POR
 - change memory type to EfiRuntimeServicesData
 - [RC]addendum to ECR_1273,change return error status to EFI_SECURITY_VIOLATION according to marketing requirement
 - [BBP]Implement CTLE for BBP.
 - [GnP] Implement PCIe Gen2/Gen3 CTLE related setting per SI/EA request
 - Sync from ESS to improve S3 resume time.
 - [LHP] Add LHP Platform specific files.
 - [CP] Implement new CTLE setting and new recipe change.
 - [CoP] Implement new CTLE setting and new recipe change.
 - [GZP]Implement PCIe Gen2/Gen3 CTLE related setting per SI/EA request.
 - update ESRT2 OpROM's version
 - [RC] Pcie lost issue due to forcing unused Pcie L1 and PHY reset
 - [RC] NIC Setup control fixed
 - [RC] correct NIC MAC shown in setup
 - [GZP]Fixed DR_991 hang-up POST 15h with one processor.
 - [CoP] Update USBIR settings per EA request.
 - [GZP]Riser card 2U 3slot PCIX Fab2 has one slot miss.
 - [RC] fix hang 01 issue for full DIMM population
 - [LHP] Add SDP platform support for LHP
 - Uplink Fix  Step2-3
 - [WSP]Update QPI setting with owner sugggestion.
 - [EGP]GPIO config modify.
 - [CrP/IR]CLTE implement Be SI/EA request.
 - [RC]Fixed S3 cycle Testing failed with loop reset around postcode 0xB1 issue.
 - [RC]Correct the SCU hide/unhide programming in S3 path.
 - [JKP]The basis of new SCH is modify code.
 - [RC]Addintional registers store/restore for S3
 - CCB95: Turn off designated Nodes on a P/S failure
 - new ESRT2 oprom for x44
 - [GZP]Update QPI TAP settings per EA request.
 - [BBP]Update QPI TAP value per EA's request.
 - remove cleaning machine check error in MRC.
 - [C]enable PCIe margin test based on x0042 and C1 processor
 - [KI] PCIe CTLE modify.
 - [CoP] Update latest CTLE table
 - [JFP/WSP]Update PCIE parameter for drop2 BIOS
 - [SCP]add SCP in SRA platform list
 - [IB] skip Secondary Bus Reset when detect is IB.
 - [C] Txt enabled in formal BIOS
 - [WSP] QPI TAP setting update
 - [COPPER]add copperpass in PDR/FD lock list
 - [RC]Update JKT C1 (613) and C2(708) ucode to latest Production code
 - [C] Addendum to ECR_1379 for recovery mode support
 - [RC]keep ReservedFromPCIeMuxSel default value unchanged
 - update FitPatch.exe for updating last ffs checksum in Fv_bb1 for recovery procedure requirement.
 - [RC]SDR version NOT shown in BIOS Setup
 - [RC]support AMIBCP change NIC item.
 - [C] Fix VT-d related BIOS setup items's policy
 - [C] Txt disabled due to cycle hang 0xcc issue
 - [C] PCIE recipe workaround porting.

 ================================================================================   
 				BIOS 01.02.0004
 =================================================================================
- [BBP]Support S4 function.
- [C] Addendum to ECR_1379 for recovery mode support
- [RC] Fix for Tboot S3
- [BBP]Update CTLE value per SI's request.
- [BBP]Fix PCIE recipe check error.
- [WSP]Add root port information for supporting WSP NIC control.
- [GnP] Correct slot number showed in Windows Device Manager
- [LNP]Update LNP SI table
- system can enter SMM mode after S3
- [CoP] Correct slot number showed in Windows Device Manager.
- [FMTP]Freemont Pass Power on bios porting.
- [CrP/IP]Correct slot number showed in Windows Device Manager.
- [BBP]Sometimes S4 resume fail under W2K8R2.
- [SCP]Change some PCIE register value for Ctle test.
- [LHP]PCIe CTLE settings for LHP.
- [BBP]Port 1a can only link by Gen 1 when install RKSAS8 upgrade key.
- [RC]Update JKT C1 (615) and C2(70A) ucode to latest Production code
- Add LHP-SDP Product ID string
- [LHP] Add LHP platform related porting fixes.
- Fix for:Do ME update in OS goto S3.Sytems hangs on s3 resume
- [RC]skip the code to write century RTC CMOS in SMI
- [BBP]Update CTLE for PBA G29565 riser card.
- [RC] update si parameter v1.4
- [LNP]Add Lincolnpass in SRA board.
- [GRP]add GRP to SRA list
- [C] Txt disabled due to cycle hang 0xcc issue
- [LNP]Add PCIE CTLE setting.
- [C]PCIE recipe workaround porting.  

================================================================================   
 				BIOS 01.02.0006
=================================================================================  
  - ME update to 02.01.05.91  

================================================================================   
 				BIOS 01.02.0008
=================================================================================  
 - [C]TXT enable with ACM1.2
 - [KI] Build PONG capsule
 - [KI]TXT enable on KingIsland
 - [SMP]SalmonPass power on BIOS code porting.
 - [JKP]Create C0 rom for JKP.
 - Optimize TXT Driver's location inside of FV_BB1 to improve code space efficency.
 - [RC]some MFG defaults are not set , complier assign invalid default value 0 to this variables, assign MFG defaults for these variables
 - [GnP] Addendum to ECR_1196: Disable unused clock on PCIe slot 6
 - Move Recovery related PEIMs into FV_BB2 from FV_BB1 to release 13KB size.
 - [CoP] Modify Slot 5 IRQs for Riser support.
 - [KI] Modification of PCIE.
 - [BBP]Update QPI tap value per EA's request.
 - Enable options 1866/2133 of ?Memory Operating Speed Selection?  in Memory Configuration page for HW EVAL request
 - [RC]ESS Romley Launch D027 sync
 - [LHP]Add support to build A-SKU rom for LHP
  - [RC]change SetupReservedforCpu00 to unused  for avoiding future use
 - [CP] S3 enable.
 - CCB117 Add MMIO appature setting and set MMIO over 4G default enabled
 - [BBP]Bottom slot of riser 2 can't work if CPU2 is not populated.
 - [CoP] Enable S3 Sleep.
 - [KI]Update the latest the CTLE value.
 - [GnP] Update QPI TAP setting for Granite Pass.
 - [RC]correct iscsi string
 - Support in-field un-signed BIOS flash programming via Recovery Jumper
 - [JKP]Modify JKP clock status.
 - [JKP]Modify some GPIO setting.
 - [CRP/IR] QPI TAP and PCIE CTLE modification
 - [EGP]EGP QPI setting.
 - [RC] Win 7 WHQL cert Failure - Single computer Display object Test Failure.
 - [IR] S3 support
 - [RC] Enable NTB support
 - [RC] Update RSTe to 3.1.0.2101
 - [RC] update SFID for all bios image
 - [JKP]PCIE CTLE setting.
 - [EGP]PCEI CTLE setting (20120315)

================================================================================   
 				BIOS 01.02.0010
=================================================================================  
 - [EGP] Add EGP to SRA platform list.

================================================================================   
 				BIOS 01.03.0001
=================================================================================  
 - CCB80 SATA spinup master setup option
 - BIOS changes to Update PDR region
 - Partial Flash Update Detection
 - [EGP][FMP][SMP]USB Register setting.
 - [FMP]FMP PCIE CTLE setting(20120406)
 - Erase temp flash block after PDR update
 - Update PXE iSCSI FCoE OpROM
 - [JFP] correct clock for riser3
 - [RC] skip 9265 for secondary bus reset 
 - [RC]PCIe link width downgrade: HSD3616326[Canoe Pass PCIe Link Margin test it’s found that PCIE link width randomly downgraded from x8 to x4/x2 with the MCX353A-FCAT ]
 - [JKP]USBIR register porting by EA request.
 - SEL log after actual PDR update in Non SMM mode
 - Cleaning cmd files of ECR_1562
 - [RC]CCB112:add PCIE AER support
 - Addendum to ECR_1444 - Remove FD/PDR lock for LHP.
 - CCB122: Change Video policy
 - [RC] Only did Secondary bus reset to defined NIC controller
 - [JFP\WSP]Correct risers physical slot number porting.
 - Partial Flash update Detection - Single capsule update for upgrade and downgrade
 - [LHP] Update latest QPI EQ parameters for LHP
 - Add FcdPatch support for LHP A SKU Rom
 - CCB107 correction
 - [JFP\WSP]Support new risers clock design rule.
 - [RC]Addendum NTB support
 - [RC]ACM 1.4b integration
 - [BBP]Update CTLE setting per SI's request.
 - [FMP] Add FreementPass to SRA Platform list
 - [GZP]Incorrect value of strap9 on GrizzlyPass24
 - [LHP]Adding the portercity XML,to generate 4 Socket specific ME region
 - CCB105 Adjust RAPL default, strings, and hide option
 - [JKP]Add JacksonPass to SRA Platform list
 - Partial BIOS Update Feature - Jumperless Recovery
 - TXT boot failed due to partial BIOS update detection code
 - [KI]add King Island platform to SRA platform.
 - [KI] add Niantic module MAC show in SETUP
 - [KI] Add Mezz mac show at setup.
 - [KI]add type 177 for Mezz of KI
 - [KI]Add type 9 for King Island
 - [FMP/EGP]Debug some errors for smios
 - [SMP]SMBIOS type 12 inconsistent with silk-screen.
 - null pointer check and correct wrong array index
 - Improve build process
 - [LHP]Smbios Type 9, 10, 12 structure modification
 - revert CCB#117 - MMIO64bit default as disable as sided effect on Win32bit OS
 - [RC] update programming SSID common code 
 - [RC] NVIDIA P2055 card issue WA
 - Integrate ME SPS 02.01.05.107 release
 
================================================================================   
 				BIOS 01.03.0002
=================================================================================  
- [JKP] Generate JacksonPass A Rom sku.
- [RC] Improve the workaround for patching some old VGA card MMIO64 Bar issue

================================================================================   
 				BIOS 01.04.0001
=================================================================================  
 - [RC]CCB88 Add enable/Disable Option for PCIe option Rom
 - [SMP]SMP PCIE CTLE setting(20120413)
 - [RC] Add workaround for SDR Version incorrect in some cases(BMC’s RecentEraseTimeStamp been cleared to 0).
 - [SMP/FMP]Porting of PDR update capsule support for FreemontPass and SalmonPass.
 - [JKP]Porting of PDR update capsule support forJacksonPass.
 - Remove C0 from BIOS Rom filename.
 - [RC] Addendum for new GPGPU support

================================================================================   
 				BIOS 01.05.0001
=================================================================================  
 - [SMP]Add salmonpass to SRA platform.
 - CCB 124 ATMEL No boot with Century Micro's DIMMs
 - Remove “C0?in the rom file name
 - Update JKT C0/C1 micrcode to 619/70D
 - Create MEComplete_B0C0_PM11.cap
 - Addendum to [BROMLEY_ECR_1735]Create MEComplete_B0C0_PM11.cap 
 - [C]TPM PCR0 toggling fix
 
================================================================================   
 				BIOS 01.06.0001
=================================================================================  
 - SFID was not programmed in Rom file.
 - Update sata and scu 3.2 release driver and sate and scu oprom 
 - [RC]Sync to ESS MPG_ROMLEY_LAUNCH_D036 (MRC revision 01.00.00.18)
 - CCB130: Per Marketing request,update Quite boot mode behavior to display OptionRom info during oprom has been dispatched.
 - [JKP]Modify PCIE preset 39ch value.
 - CCB140 PCIe Performance Tuning Knobs
 - [CCB65]Add line of '*' in post screen
 - CCB114_CCB115_CCB133: Implement Romley Memory POR+1 Support for SandyBridge.
 - [C] Fix security hole by SMM hook the runtime service 
 - [Romley][RC][Update ESRTII OpRom to V.08021201I.

================================================================================   
 				BIOS 01.07.0001
=================================================================================
 - Correct SLIT table Macro defined value
 - [LHP]Correct SMBIOS Type 8 E-USB Connector Port Type 
 - SMI flash BIOS coding error for OEMTBLID comparing function.
 - [LHP]Add LizardHeadPass to SRA platforms
 - Declare BmcCfg variable to ID 17 in setup.ini file
 - [RC]Update help strings for setup item "Memory SPD Override".
 - [LHP]Modify Board Pre-link Initial Values
 - [LHP]Modify IsValidVgaDevice routine to cover up to four sockets system
 - [LHP]Modify Board Pre-link Initial Values to support changes for CPU2/3
 - Change BW_LIMIT_TF default value to 1us based on SNB System Agent BSU 1.06
 - Production Banner roll

================================================================================   
 				BIOS 01.08.0001
=================================================================================
 - Enable Fast Video support on Romley EP/EP4S platforms.
 - [C]Modify "Active Porcessor Cores" option in BIOS setup.
 - [RC]ACM: use version 1.4f of JktBiosAc.bin, version 1.4b of JktSinitAc.bin
 - Roll back CCB130¡¯s change in ECR_1778
 - [Romley-R]Update ucode patch to 0x209 for IVT B2 
 - [RC] Downgrade PCI-E Gen3 to Gen2 when the device is not in the whitelist
 - Fast Video Feature support for Romley
 - [Romley-R] check-in ESS IVB R018 (D610) Beta Candidate Release
 - [RC]  Add a warning message for Ivy CPU (CPUID bigger than 0x306E3)
 - CCB71 to enable NTB on Canoe and Copper
 - Merge Romley Refresh stream's change
 - Lan Oprom update(1G/10G PXE, 10G Fcoe, iSCSI)
 - Fix DCA enable failed, APIC_TAG map was not generated
 - Set JKP and SMP PMBUS scan rate to PM11(500ms)
 - SOL function work whatever CR is disabled/enabled.
 - MR1 hotfix ME update
 - ACM v1.4E update
 - [LHP] Blank console when Console Redirection is Enabled.
 - CCB152 Force Gen3 device to Gen2 except white list device
 - [RC]Selftest: Enabling / Disabling of Data Direct I/O.
 - check the pointer for null before be dereferenced and delete unused local variable
 - Change the variable "PCieForceGen2ByWtlst" default value
 - JKT Collaterals 3617666/3617677/3617662

================================================================================   
 				BIOS 01.08.0004
=================================================================================
 - ESS R21.2 code sync 
 - UEFI2.3.1 Support
 - Lan Oprom update(1G PXE_v1.4.10;10G PXE_v2.2.10; 10G Fcoe_v1.7.21; iSCSI_v2.7.137)
 - Change copyright string to 2013

================================================================================   
 				BIOS 99.99.x064
=================================================================================
 - Patsburg unsupported Upgrade Keys warning message implemented
 - Provide a SMI interface for modifying logical interrupt register from UBOX under OS
 - ESRT2 OPROM updates for SCU and AHCI
 - Integrate ME SPS 02.01.07.129 release
 - Sync reference code of ESS R024 (D662)


=================================================================================   
 				BIOS 99.99.x066
=================================================================================
 - CCB168 - add an option in setup layout for enable/disable Condoda beach devices 
 - Add SW SMI interface to set Round-Robin Interrupt mode
 - RSTe 3.7 Oprom update
 - ESS R26.2 code sync
 - Enable VTd and TXT feature for IVT CPUs except IVB B1 stepping

=================================================================================   
 				BIOS 99.99.x067
=================================================================================
 - CCB186:update the whitelist to include the QLogic QLE2762 to be able to run Gen3 in Grizzly Pass
 - uCode patch: 0x413 for IVB
 - Integrate ME SPS 02.01.07.231 release
 - CCB180: add RMS25LB in Gen3 White List for JFP,WSP and JKP 
 - ACM 2.2 update
 - V2.00.00.00 version reference code sync
 - UEFI PXE support

===============================================================================
	       			Issues Fixed
================================================================================
================================================================================   
 				BIOS 01.01.0001
=================================================================================
 - [CP]EPSD100226088: Disclaimer for BIOS Setup
 - [RC][EPSD100019303:RSTe OpROM fails to launch in BIOS x40 for AHCI ports SATA RAID configuration]
 - [WSP]EPSD100019038-Powerville IO module can't be detected under W2K8R2SP1.
 - [RC]backup bb1 will be corrupted after NVcompact is triggerred in MFG mode
 - [RC]fix hang 0x01 issue by loading ucode to memory updated.
 - [WSP]Sync for De-Pop sch code add.
 - [WSP]Add PCIE Gen2,Gen3 CTLE settings.
 - [CoP] Update PCH Strap 9 for PCH Slot 1 Reversal setting.
 - [RC]EPSD100226265 BIOS41:MEComplete update fails on FAB211 & FAB301 with C1 processor, system hangs and reboots.
 - [RC] For SRA platfrom, disallow super capsule update according to SAFE requirement
 - [RC]update RSTe oprom as 3.0.0.3016
 - [RC]HECI_TIME_OUT fix from ESS team
 - [RC]ESS code for HSD 3615924
 - [RC]SMI time out in manufactory mode
 - [RC]Disable ASPM
 - [RC]Change return error status to EFI_SECURITY_VIOLATION according to marketing requirement
 - [RC]Fix no AC cycle after super capsule update
 - [RC] fix hang 01 issue for full DIMM population
 - [RC] Pcie lost issue due to forcing unused Pcie L1 and PHY reset
 - [RC]EPSD100019210 [FW EVL]Some unexpected SEL will be logged after flashing the BIOS x40.(Pcie corr error, P1/2 DIMM therm margin failure, ME failure)

 ================================================================================   
 				BIOS 01.01.0002
 =================================================================================
 - [RC]WA for DC cycling issue
 - [RC]Smbus Write Disable Fix
 - [RC]SeCoE: SDL Lock fixes(3615663,3615951,3615952,3615668,3615667,3616002.3616003,3616004,3615998)

 ================================================================================   
 				BIOS 01.01.1002
 =================================================================================
 - [RC]Fix for uCode alingment issue
 - [RC]Fix for Yellow mark under OS after SeCoE fix
 
 ================================================================================   
 				BIOS 01.02.1002
 =================================================================================
  - [SCP] PCIe Margin test optimize setting

================================================================================ 
 				BIOS 01.02.0003
=================================================================================
 - [RC] EPSD100223418 Iflash32 -rd Implementation
 - EPSD100225220:Add EFI Boot Option should not allow a blank Boot Option Label
 - [SCP]EPSD100018746:SATA hdd port index show incorrect in sata port 4&5.
 - EPSD100225655: Console Redirection issue on BIOS38 in F2 Setup.
 - [RC]EPSD100018503 - system cannot wake from s3 via usb mouse/keyboard 
 - [RC]EPSD100225616[UT]System enter endless reboot after add policy to disable one
 - [RC]POST Key hit rate improvment
 - [GZP]EPSD100018153:The DIMM fault LED incorrect with DIMM_D3 under Sparing mode.
 - [RC]EPSD100220652 Specifying the path to EFI command will return an error that t
 - [EPSD100018944]In BIOS Setup, SUT would hang while press "page up" or "page down" in the screen that all items are grayed out with User permission.
 - [LNP]EPSD100014991:The BIOS setup options is mismatch with BIOS EPS
 - [RC]EPSD100017433 - Set MMIO64 to enable,can't display with nVidia QUADRO 6000 
 - [LNP]EPSD100019014 There is no message box when input invalid Ipv6 address.
 - [WSP]EPSD100019038-Powerville IO module can't be detected under W2K8R2SP1.
 - [RC] EPSD100018689: Clean duplicated setup items and adjust maximum option to the end in AMIBCP display order.
 - [WSP]EPSD100018243: some SMBIOS failure items dumped by PETS utility.
 - [LHP] Fix logic errors in JktIIOConfig and GPIO prog for LHP
 - [GZP]EPSD100019048:Network Device Order exist when Twinville and iSCSI enabled.
 - [CP]EPSD100225835: Add a EFI boot option with a 20 characters label issue.
 - [RC]EPSD100222189:(Completion Timeout)added new NIC devices to support list and patched enabled memory space of Oplin NIC card
 - [SCP]EPSD100018842:Type8 and type12 are mismatch with platform schematic.
 - [LHP] Add S4600LH platform Id to FwVersionData NV to support iflash
 - EPSD100019053:The option of "Legacy VGA Socket" should gray out when no VGA add-
 - EPSD100225420 : Fix for TPM administrative control issue only
 - [EGP]EPSD100019173:Onboard NICs information show incorrect in BIOS setup.
 - [EGP]EPSD100019219:Mass storage controller description don't match with HW spec.
 - [RC]EPSD100019210 [FW EVL]Some unexpected SEL will be logged after flashing the BIOS x40.(Pcie corr error, P1/2 DIMM therm margin failure, ME failure)
 - EPSD100225724:ME Recovery procedure is failing with error:  BIOS Interface faile
 - EPSD100019242:[BIOS EVL]User can choice a bootable device from boot manager menu
 - [SCP]EPSD100019213There is no "RMM4 IPv6 Enable/Disable" option in BIOS setup.
 - [LHP] Re-Enable SmmErrorLog Driver for LHP
 - [WSP]EPSD100019144:There are two Serial Port device in BIOS Setup.
 - [GZP]EPSD100019456:The MAC address would not be found when connected to IOM. 
 - [GZP]EPSD100019454:The default value of lan port PXE would show disabled (IOM).
 - [CrP]EPSD100226305: BIOS 41_Crown Pass:Not able to set console redirection value
 - Fix no AC cycle after super capsule update
 - EPSD100019280 [MIC-CDAD] ESRT2 opROM cannot work for SCU
 - EPSD100225755: Correct RasTool error
 - [C] Change"CPU Power and Performance Policy" to "Power" make incorrect default.
 - [LHP] Route the root port PE1B to onboard iPass connector
 - [RC] EPSD100018939 - Token issue of Intel(R) VT for Directed I/O.
 - [RC]EPSD100019514 "Legacy VGA Socket" item is always grayed out with value of 
 - EPSD100226130: Correct references to Missing ACPI( PRAD) Table
 - [SCP][LNP]EPSD100016860[BIOS EVL]Enable MPST table Halt 0x79
 - [RC]EPSD100015017 The options of "BMC LAN Configuration" in BIOS menu were not c
 - [LHP] SMBIOS support for LHP
 - fix Some OIV issue about EBDA
 - [GZP]EPSD100019136:CPU info incorrect in SMBIOS if different frequency CPUs.
 - [RC]EPSD100019083 SUT could select non-support operation speed for memory that a
 - EPSD100225420 : Partial Fix for Active Processor Cores issue
 - [LNP]EPSD100015530:Need Bios disable some not used clock
 - EPSD100226197 SSC Needs to be enabled by default not hard coded to enabled.  
 - [RC] EPSD100019058 - [Cert]Bitlocker Drive Encryption BIOS Interface Test" fail.
 - [RC]EPSD100019162:1)Add 256MB size condition in DR_970,2)Not hide Root port 1A&1B for uplink,
       3)Made same failed behavior between 32 bit and 64 bit MMIO allocated
 - [SCP]EPSD100019190There isn't "invalid input" prompt when config an invalid IPV6
 - [LNP]EPSD100019605There are two Console Redirection option and can't be selected
 - [RC]EPSD100019532[BIOS EVL]Some options mismatch with BIOS EPS in the BIOS setup
 - [GZP]EPSD100226392:Turbo boost disabled when choose balanced performance policy.
 - EPSD100019501:change the help string
 - [EGP]EPSD100019585[HWV]serial port Inconsistency error occurred
 - [RC]EPSD100019070 The "Dual monitor video" and "onboard video" options aren't 
 - [RC]EPSD100019618 [BIOS EVL]Populate VGA card to PCIe slot6,onboard video can't 
 - EPSD100019593 - No admin password prompt show up after initialize TPM option
 - [EPSD100226393] [EPSD100226390] Fix P&P policy settings.
 - [GZP]EPSD100220123:BIOS setup menu changes.
 - [LHP] Addendum to DR_1012 - [EPSD100019280] ESRT2 opROM cannot work for SCU
 - [EPSD100019357] Windows OS identify Onboard LAN (Twinville) as removable devices
 - EPSD100019280 - [MIC-CDAD] ESRT2 opROM cannot work for SCU
 - EPSD100019357 - [MIC-CDAD] Windows OS identify Onboard LAN (Twinville) as removable devices
 - [SCP]EPSD100019562 NIC1 and NIC2 can still work after "NIC1/2 control" disabled
 - [CPSDP]EPSD100226541 No PXE boot
 - [GZP]EPSD100019519:LegVgaSoc option is grayed out when addin VGA card in CPU2.
 - [RC] EPSD100018582 Under Lockstep mdoe  system halted at 0xBF with failed dimm
 - [KI]EPSD100018856: IPMITOOL cannot be activate SOL session issue.
 - [KI] EPSD100226583: Sandy Bridage-EP M0 2 Cores CPU has illegal option in BIOS.
 - [EPSD100019818] [LHP] [MIC-BIOS] PXE OpROM can't work in BIOS x042
 - EPSD100020039:[MIC-BIOS] Windows SAC console not work in baud rate 38.4K
 - [LHP] EPSD100019893 - [MIC-BIOS] SMBIOS Type 8 information incorrect
 - [LHP] EPSD100019894 - Smbios Type 16, EPSD100019895 - Smbios Type 17 issues
 - [KI]EPSD100226565: There is no iSCSI option in KI BIOS setting.
 - [RC]EPSD100226717:Fixed Console redirection cannot be enabled with AMIBCP
 - Addendum to DR_1054 - PXE boot issue on LHP
 - Addendum to DR_1063 and DR_1054 - PXE boot issue
 - [C] EPSD100226828 TPM state accessible just changing TPM Admin control menu option
 - [C] update for CCB95: there is a hang issue in EULot6 module when enable DEBUG_MODE 
 - [RC] enable SATA hotplug for workaround HSBP fault led issue

================================================================================ 
 				BIOS 01.02.0004
=================================================================================
 - SuperCapsule Delta generator fixes
 - [LNP]EPSD100019547:IO Module cann't display in NIC Configuration in BIOS Setup.
 - [KI]EPSD100224853:King Island BIOS not customized for blades.(added LSI option.)
 - [KI]EPSD100224853:King Island BIOS not customized for blades.(hide option)
 - [SCP]EPSD100019190:No message box of "invalid input" when IPV6 address incorrect
 - [KI]EPSD100226565: There is no iSCSI option in KI BIOS setting.
 - [WSP]Addendum DR_812 Clock Status Check fail.
 - EPSD100226893: System cannot goto S3 state in UEFI windows 7 OS.
 - [LHP]EPSD100020027:[MIC-BIOS] Memory Operation Speed not match with EPS.
 - [LNP]EPSD100019947Onboard NIC device still can be detected in OS after disabled
 - [EPSD100223611] Fix C3 and C6 cState optiions for SDP and non SDP
 - [EGP]EPSD100020307:MAC address don't display in BIOS setup with Dual port SKU.
 - EPSD100020030 : RSTe Boot Configuration not match with EPS
 - EPSD100020093 : DIMM status information not match with EPS
 - EPSD100019889 :  Help text of Power & Performance not match BIOS EPS
 - [LHP] EPSD100019321, EPSD100020020, EPSD100020075 - LHP Platform Id check wrong
 - EPSD100226427:ME interface failed while S3 resume back on Crown Pass
 - [SCP]EPSD100019652:compare with some SUT the CPU information is incorrectly
 - [LHP]EPSD100019942:[MIC-BIOS] DFT 1629 Test failed
 - [LHP]EPSD100019893:[MIC-BIOS] SMBIOS Type 8 information incorrect
 - [LHP]EPSD100019788:Intel X520-T2 10G NIC did not work at correct PCI-E link spee
 - [RC] enable SATA hotplug for workaround HSBP fault led issue
 - [BBP]EPSD100018325:System sometimes can’t detect PCI-x storage card.
 - EPSD100019448 EPSD.FW.ACPI.S1.WATCHDOG
 - EPSD100019608 [MIC-CDAD] Power button led of front panel light static green with ACPI S1 mode.
 - EPSD100019749 BAT - EPSD.FW.BAT.ACPI.S1
 - EPSD100019863 [MIC-CDAD] OnBoard LOM info disappear after plugged IO module
 - EPSD100020079 [MIC-CDAD] Intel storage card SRCSASJV have various abnormal issues (Lost HBA or HDD or yellow mark....)

================================================================================ 
 				BIOS 01.02.0008
=================================================================================
 - [JKP]EPSD100020994:There are two Serial Port device in BIOS Setup.
 - [SCP]EPSD100019190:No judgement of IPV6 address length.
 - [JKP]EPSD100020944:The Video output behavior is incorrect when Add-on video card
 - [FMP]EPSD100020919:Slot 5 PCIe max link width only can be detected X4
 - [KI] EPSD100227652 Mezz card is used as eth0
 - [FMP]EPSD100020627:LAN can't work normally after reboot.
 - [RC]EPSD100020778 After 6 minutes FRB2 timer reset the system when SUT boot to B
 - [JKP]EPSD100020562:Processor information is not correct in BIOS Setup.
 - [KI] EPSD100224420 fix "Load Efi Driver" problem
 - Fix King Island EPSD100016454/EPSD100016269 kernel-proc-power warm message.
 - [RC]EPSD100020334 Device order screen is mismatch with BIOS EPS0.60. 
 - [JKP]EPSD100020858:System can't enter deep sleep mode (verify Eup Lot6 function)
 - [RC]EPSD100227180 CCB645 PCIe Link Speed Changes Occur without SEL event
 - [LHP]EPSD100020362:  PXE OpROM not work in Powerville BB
 - [LHP] EPSD100019897 :  SMBIOS Type 24 information incorrect
 - [LHP] EPSD100019896 : [MIC-BIOS] SMBIOS Type 20 information incorrect
 - [LHP]EPSD100020079; EPSD100020075 Intel storage card SRCSASJV abnormal issue fix
 - [LHP]EPSD100226387:DIMM populations and DIMM thresholds are not correct from Bio
 - [LHP] EPSD100019209/EPSD100226340 DIMM slot number is diff b/w BaseBoard Silks
 - EPSD100020402 [BIOS EVL]Slot number of PCIE RAID card show incorrect during POST
 - [LHP] EPSD100020397   SATA port 2 not appear in BIOS setup
 - EPSD100226918:Address A1-H2 duplicated on Memory Configuration page for LHP SDP.
 - [JFP]EPSD100227134-Serial Port Configuration value for IRQ is not able to 3.
 - [RC] VFR operation code suppressif's condition can't over 10 items
 - [JKP]EPSD100020518:DIMM information is not correct in BIOS Setup.
 - [CP]EPSD100012219: The SelfTest result have several errors and warns logs.
 - [JKP]EPSD100020519:HDDs information is not correct in BIOS Setup.
 - [JKP]EPSD100020523:NIC information is not correct in BIOS Setup.
 - [EGP]EPSD100020482:The PCI-E slot location is shown incorrect.
 - [EGP]EPSD100020484:USB_3 and Serial Port A information show incorrect in SMBIOS
 - [SCP]EPSD100020357:NIC1 and NIC2 control options value can't be set as disable.
 - [EGP]EPSD100020478:RMM4 LAN can't be set when Ipv6 configuration set as enabled.
 - [GZP]EPSD100020191: Error log in the dmesg under SLES 11 SP2 RC x64 OS.
 - EPSD100019816 : BIOS ID String in POST mismatch 
 - [LNP]EPSD100021013:AHCI Controller Configuration display mismatch with Board.
 - [JKP]EPSD100021044 and EPSD100021045:remove no support item for JKP.
 - [RC]EPSD100019617 System will occur error and blue screen after complete Win2k8R
 - [FMP]EPSD100021038:Load  BIOS deafult Setup,the system will execute a DC cycle.
 - [FMP]EPSD100020920:There are two CPU sockets showed in BIOS setup.
 - [JKP]EPSD100020998, EPSD100020999 and EPSD10002117:SMBIOS information incorrect.
 - [JKP]EPSD100021022:Add-on LAN card device can't detect in BIOS Setup.(i350 T4)
 - [LHP] EPSD100020777 Incorrect processor information format in BIOS setup
 - [KI]EPSD100224853:King Island BIOS not customized for blades.(Hide Storage info)
 - [LHP]EPSD100020083:SEL report incorrect location for memory error
 - [LHP] EPSD100020711:POST error code and message for memory is incorrect
 - [LHP] EPSD100228022 - PXE boot option does not appear for LHP SDP BIOS
 - [LHP] EPSD100021134:Item string in NIC configuration not match with EPS
 - [LHP]EPSD100020654:There is incorrect IOM info in PCI configuration after plug
 - [FMP]EPSD100021105 [BIOS EVL] There are some errors when running smbios.efi
 - [FMP]EPSD100021233 Insert Intel RAID Controller RS2PI008 and RS2WC080 power on fail 
 - [EGP]EPSD100020307:MAC address didn't display on BIOS setup after update EEPROM.
 
 
================================================================================   
 				BIOS 01.02.0010
=================================================================================  
 - [EGP] EPSD100228700 OB NIC2 MAC address shows 0 in BIOS setup and can't  boot to PXE from NIC2.
 
================================================================================   
 				BIOS 01.03.0001
=================================================================================  
 - [RC] EPSD100225433 On GUID based partitions any SMI call freezes system
 - [RC]EPSD100020336: "dmesg |grep -i error" can see a error:"probe of i8042 fai
 - [EGP]EPSD100020484:Serial Port A information show incorrect in the SMBIOS type 8
 - [EGP]EPSD100020478:RMM4 LAN configuration can't be set while Ipv6 set as enabled
 - [JKP]EPSD100020957:[UT] unable to disable onboard NIC ports in BIOS settings.
 - [SDP][EPSD100228128] Add support for 1866 memmory
 - [SCP]EPSD100020724 SCP SMBios type8 update
 - [JKP]EPSD100021259:"QPI" should be removed from BIOS Setup JKP doesn't support.
 - [JKP]EPSD100021386:Two Serial Port device in Device Manager but JKP support one.
 - [SCP]EPSD100020962:Populate 6 cores CPU, system will do DC cycle after reset.
 - [RC][EPSD100223621]Fix EINJ error return bit mask
 - [FMP]EPSD100021464:Intel Pro100s PCE NIC card can't get resource from Win 2k8.
 - [LHP]EPSD100021147:WinOS identify HBA as a removable device if plug it in J1CPU4
 - [SMP]EPSD100021417:USB OC test fail
 - Addendum to BROMLEY_ECR_1567 - Partial Flash Update Detection
 - EPSD100021347,Using iflash32 load default then reboot SUT, SUT would halt at post code 0x92.
 - [LHP] EPSD100019893:[MIC-BIOS] SMBIOS Type 8 information incorrect
 - [LHP] EPSD100019897 : [MIC-BIOS] SMBIOS Type 24 information incorrect
 - [RC][EPSD100223621]Fix EINJ error return bit mask ,Addendum to DR_1166 
 - [FMP]EPSD100021340:Some unused clock are running
 - [RC]EPSD100227395: Can't modify BIOS Setup RMM4 when IPv6 is enabled.
 - [RC] While iflash32 /rd loading default, a cursor blink on the screen
 - EPSD100228039:C1E is disabled when both C3 and C6 processor Cstates are disabled in BIOS
 - [LHP]EPSD100228066,EPSD100228067:LHP SSG SDP BIS 47.1 CPU 0/1 DATA Format screen
 - [SMP]EPSD100021503:[HWV]System can not enter ACPI S1 state.
 - [RC]EPSD100021358 :When MBE happens during POST, system won't change to indep.
 - [EGP]EPSD100020307:MAC address didn't display on BIOS setup after update EEPROM.
 - [JKP]EPSD100021548:After wake up from S3 state, watchdog timer would reboot.
 - [LHP]EPSD100226704:Physical Slot Number field in the Slot Capabilities Register
 - [FMP]EPSD100021467:The Location of the PCIE card was shown uncorrected.
 - [JKP]EPSD100020998:There are some failures in SMBIOS Type 8 structure.
 - EPSD100021597:In BIOS setup,Serial B Enable option value cannot be saved when I set it's value to Enabled
 - [GZP]EPSD100020431:WD USB HDD(1TB) was classified as "Floopy Order" under Setup.
 - Recovery.cap update fails with R0050 
 - [SMP]EPSD100021616:SMP SMBIOS porting.
 - [JKP]EPSD100021306:Power statistics show 0w in EWS.
 - [RC]EPSD100228412- TPM Admin Control option should be disabled (gray'd out) when BIOS admin password is not set
 - Capsule update failing at 97% on LHP due to partial flash update feature
 - EPSD100228526:ME status is Recovery after flashing x050PlatformData.cap and rebo
 - [BBP]EPSD100228510:BIOS CMOS Clear: receive unexpected error code 8604.
 - [LHP]EPSD100021142:RMM4 Webconsole DIMM slots order is mismatch with silk screen
 - [SMP]EPSD100021655:IO Module card information cann't display in BIOS setup.
 - EPSD100021507:System could not boot up successful when memory population mismatch
 - [SMP]EPSD100021694[PVL]Can't detect on-board NIC port2 MAC address in BIOS setup
 - [LHP]EPSD100021504:RMM4 webconsole detect incorrect CPU Socket type dueto SMBIOS
 - [JKP]EPSD100021736:Option "NTB PCIe Port" can be modified by User privilege.
 - [LHP]EPSD100226704:Addendum DR_1186 Phy Num in the Slot Cap Reg shoud be 1 based
 - [LHP] EPSD100019893:[MIC-BIOS] SMBIOS Type 8 information incorrect
 - [GZP]EPSD100228721:No BIOS option to enable NIC 1 after it has been disabled.
 - [JKP]EPSD100021846:L1 Cache size is incorrect in BIOS Setup.
 - [BBP]EPSD100021786:System also could wake on lan after disabled WOL function.
 - [LHP] EPSD100019887:ACPI test failed
 - [RC]EPSD100228600: Board P/N information is wrong in SMBIOS table.
 - [BBP]EPSD100021781:System could't boot to OS successful when populate PCIx riser
 - [SCP]EPSD100021858Memory speed selection field has 1867/2133
 - [SCP]EPSD100021859DHCP host name can't be edited when RMM nic set dynamic.
 - [RC]EPSD100226089: BIOS Setup Menu Issues.
 - [RC]EPSD100021964:When enable UEFI function in BIOS setup under BIOS 0x51, system will stop before POST.
 - [LHP] Smbios Type 34 Disable
 - [LHP] EPSD100021135: [MIC-BIOS] NIC configuration not work normally
 - [LHP] EPSD100021414,EPSD100021415: BIOS UI show incorrect string for IOM
 - [RC]EPSD100021837After 6 minutes FRB2 timer reset the system when user logged in
  
================================================================================   
 				BIOS 01.03.0002
=================================================================================  
- EPSD100229070 Bios x053:- NIC Information is not getting saved in Sysinfo dump file and not able to get or set using syscfg. 
- EPSD100022055 [FW EVL]Redirect a windows OS ISO image file to SUT from remote client, power on or restart SUT, the system 
  will be forced to boot from the OS image to start OS installation page automatically. 

================================================================================   
 				BIOS 01.04.0001
=================================================================================  
 - [KI]EPSD100021326: There are some error information in smbios type 178.
 - EPSD100021292 - MFG mode - PCI test failed
 - [LHP] EPSD100227824:BIOS x045 Does not Meet DFT #1629
 - [JKP]EPSD100021967:Server Management Screen is not conformed to EPS.
 - [BBP]EPSD100022092:No Type 10 information within the SMBIOS table.
 - Addendum to BROMLEY_DR_1239 [LHP] EPSD100021135
 - [KI]EPSD100022125: Only Serial port B could be found under Serial Port Config.
 - [SMP]EPSD100021995 [HWV]Some unused clock are running
 - EPSD100022055 [FW EVL]Redirect a windows OS ISO image file to SUT from remote client
 - [LHP] Remove BROMLEY_DR_1240 changes from baseline
 - [RC] Improve the workaround for patching some old VGA card MMIO64 Bar issue
  - EPSD100228147:LHP SDP - Change in Workload Configuration setup options.
 - [SMP]EPSD100021930:When disable NIC1 port1 in BIOS setup,it still can be used.
 - Addendum to BROMLEY_DR_1153 [LHP] EPSD100021134:Item string in NIC configuration
 - [LHP]EPSD100021708:LHP should support socket 3 and 4 in Legacy VGA socket
 - [BBP]EPSD100022242:There are some failures in SMBIOS Type 8 and Type 10 structur
 - [KI]EPSD100022297: Dump SMBIOS table has some failure items by PETS utility9.5.
 - [LHP] EPSD100020076:[MIC-CDAD] No ACPI S1 peripheral wake support under RH6.2 

================================================================================   
 				BIOS 01.05.0001
=================================================================================  
 - [LHP] Addendum to BROMLEY_DR_1214 [LHP]EPSD100019893:[MIC-BIOS]SMBIOS Type 8 
 - [EGP]EPSD100022353User privilege of RMM4 channel3 mismatch with BIOS setup
 - [EGP]EPSD100022356 BIOS setup setting and help text mismatch with EPS.
 - [LHP] Addendum to BROMLEY_DR_1240 - EPSD100021414 and EPSD100021415   
 - [RC]EPSD100229651Abnormal items display in PCIe slot OPROM control page after
 - [IP]EPSD100229613: IronPass can't disable NIC through BIOS setting.
 - [SMP]EPSD100022427 Boot order show "unknown device" when USB floppy connect
 - [LHP]EPSD100021521:Dis\Enable PXE Option ROM and corresponding Port behaviors

================================================================================   
 				BIOS 01.06.0001
=================================================================================  
 - [SMP]EPSD100022484The NUMA option still exist in the setup for one processor.
 - [LHP]Debug BIOS Build fix for LHP                                            
 - [SMP]EPSD100022482:IO_MOD/SAS_MOD slot number show incorrect in win2k8.      
 - [LHP]Addendum to DR_1263-EPSD100019893:[MIC-BIOS]SMBIOS Type8 information    
 - [RC]EPSD100228690/EPSD100228793 Syscfg returning incorrect data                 
 - [SMP]EPSD100022548 Error Front VGA and Rear VGA silkscreen in SMBIOS.           
 - [RC]EPSD100022501The OpROM will still be loaded during POST when I/O module PCIe
 - [LHP]EPSD100022438:After save and reboot,one IO module setting is incorrect     
 - [CP]EPSD100230291:WHEAHCT Logo Test in Windows 2012 Cert failed.                
 - [LHP]EPSD100022511:[MIC-BIOS] 1GbE OpROM not appear when I350 IOM on X540 BB    
 - [RC]EPSD100230314: When FRU is empty, system part Number is “Intel Corporation?
 - [RC]EPSD100229809 BIOS Setup screen crashes while loading .efi image            
 - [RC]EPSD100022517: EPS 0.90 mentioned with option Memory mapped I/O above 4GB.  
 - [KI]EPSD100022518: The hidden option in S2600KI could be found in BIOS x056.    
 - [RC] EPSD100230092 [X] USB device in Bios USB configuration can not detect.
 - [LHP] EPSD100229336 & EPSD100022508:"PCIe Port Oprom Contrl" sub-page           
 - [JKP]EPSD100022463:There is Coefficient error detected with SAS module at IOM.  

================================================================================   
 				BIOS 01.07.0001
=================================================================================
 - [RC]EPSD100022685: The "Product Name" of SMBIOS type 1 doesn't fit with EPS.
 - [RC]Update BIOS to UEFI2.3.1 BIOS by iflash fail
 - [LNP]EPSD100022664HDD Driver Fault LED can't be set.
 - [RC]EPSD100019320, EPSD100227823, EPSD100020203 - Update USB Stack
 - [LHP]EPSD100022680 - During the RDT test got a fatal hardware error has occurred
 - [LHP]EPSD100022831 - Addendum to DR_1257 - USB keyboard shift key issue
 - [LHP]EPSD100023021 - LHP BIOS x060 Twinville, NIC1 Port1 set [Disabled], reboot system, 
   system will hang up. 

================================================================================   
 				BIOS 01.08.0001
=================================================================================
 - [RC]EPSD100023133: some setup item should be modified to fit EPS.
 - [RC]EPSD100233499 BIOS can't automatically detect the boot files on local HDD in
 - EPSD100023073:[BIOS EVL]After flash BIOS and press "ctrl+alt+del",System will hang
 - [CP]EPSD100023054: [IVB] Smbios log don't have the log about Memory information.
 - [JFP]EPSD100023140-An issue the type 8 information of SMBIOS log  is fail
 - EPSD100023143,EPSD100023072[SNB]SUT will Auto DC after reset the system with two processors inserted.
 - [CP] EPSD100022998: current configuration won't change to Sparing mode.
 - [JKP]EPSD100233727:Move "Allow devices to run PCIe Gen3" to "PCI configuration.
 - [RC]EPSD100233620:Unsupported Request is reported as Fatal Error on some devices.
 - Sync Richmond: EPSD100233076 DMIDECODE/syscfg Utility can't run under RHEL 6.2 in EFI mode.   
 - [RC]improve KnobFunction() to support  maximum ratio smaller than 12
 - [LNP]EPSD100022676The system will halt during POST when plug a IO module card
 - Addendum EPSD100229484: Code enhancement if x16 PCIe slot come from PCH on Romley boards.
 - [SCP][EPSD100230313]latest BIOS x53.3 does not able to detect PCIe slot 4!
 - [SMP]EPSD100022790NIC1 Port2 PXE disabled on setup but still show on boot option
 - EPSD100229484 Win 7 BSOD and restart with video card present in system.
 - [RC]EPSD100228688: BMC user password length doesn't fit the EPS.
 - create a NVRAM capsule that move NVRAM to unsigned region
 - [RC]smbios data in legacy region was overrided by E820 Table
 - TPM save staus causes S3 hang
 - PCI-E card can't be found after warm reset
 - Disable NUMA when only one socket presented will cause NVRAM CRC16 check error
 - Mellanox Pcie card should not be downgraded to gen2
 - EPSD100023167: NM Power reading always shows 0 watt from EWS on EN (SCP/EGP).
 - EPSD100023177: SUT will auto reboot when boot to HDD/NIC/DVD under DFT mode, only can boot to EFI shell
 - [RC]S3 Resume fail since 0x59
 - S3 resume fail: memory initialization error
 - system can't boot up after clear CMOS
 - Fix for Yellow bang in device manager with Add-on graphics card with early video
 - Boot manager list is NULL when JKT C0 cpu is populated
 - EPSD100233933 [x] Issue on W2600CR2 w/ Quadro K5000 graphis cards
 - System will do DC cycle in recovery mode

================================================================================   
 				BIOS 01.08.0002
=================================================================================
 - EPSD100234377: Quiet Boot option doesn't work
 - CCB 130 is not rolled back as planned. Option rom still pop up when Quiet Boot enabled.

================================================================================   
 				BIOS 01.08.0004
=================================================================================
 - EPSD100023248-[IVB] In the BIOS x62.1, there are four "Active Processor Cores"

================================================================================   
 				BIOS 99.99.x064
=================================================================================
 - EPSD100233933: Issue on W2600CR2 w/ Quadro K5000 graphis cards
 - EPSD100023269: When SUT connected to two of the same keyboard or the mouse (IBM), only a USB keyboard and mouse can be detected in the BIOS 
 - EPSD100231642: While performing BIOS Update using OFU Utility on Win 2k8 UEFI/GPT Partition OS with BIOS x056, Server hangs.
 - EPSD100234342: After UEFI Win2012 installation power on password protection appears anyway even we disable it 
 - EPSD100023356: In the "Fast Video" screen, system will automatically do DC cycle when running the "NVtest. Efi /ld 0" command after restart.
 - EPSD100234685: Nvdia C2075 GPGPU will hang in POST
 - EPSD100023290: [EA] Recipe errors and CTLE setting value errors for Ivy bridge EP
 - EPSD100232816: Romley memmap change, 35MB additional reserved space allocated
 - Correct the wrong recipe setting with SNB
 - Fix the issue: System will do DC cycle in recovery mode
 - Fix the issue: Recovery Mode Error Message for Fast video

================================================================================   
 				BIOS 99.99.x065
================================================================================
 - EPSD100234942: Cannot get "AdminPw" variable when user does not set up password
 - EPSD100234846: IVY Bridge BIOS is not having EFI_HII_DATABASE_PROTOCOL_GUID and HII Size Information
 - EPSD100023396: The Console Redirection option is gray and can't be changed under DFT mode on GrizzlyPass platform
 - EPSD100023392: OB infiniband's name is incorrect in BIOS setup
 - EPSD100234944: DRAM_POWER_LIMIT MSR should be allowed read/write access from OS
 - EPSD100233767: When an Adaptec 6405E card is installed in any Romley board
 - Sync to R025(D670) reference code

================================================================================   
 				BIOS 99.99.x066
================================================================================
 - EPSD100023441:Could not login to BMC WebUI when update ME 2.1.7.129
 - EPSD100023439:ME is always in recovery mode even the ME force update jumper is set in normal state
 - EPSD100235255:XMP mode to AUTO always and set Memory Operating Speed Slection be Auto.
 - EPSD100023438:Boot with LSI RIAD card after enabling Optimized Boot will hang
 - EPSD100234962:MMIO auto size bug fix for Xeon Phi
 - EPSD100234821:Change copyright to 2013 in BIOS setup
 - EPSD100234494:Very long system boot time with BIOS default setting
 - EPSD100234822:IP cannot detect all 4 ports in its Qlogic QLE2562's configuration page
 - EPSD100235242:[IVB] Incorrect memory size reported by BIOS if system memory size larger than 512GB
 - Fix the issue: BIOS will hang in MRC phase when 1R-1066 DIMM populated under MFT mode.
 
=================================================================================   
 				BIOS 99.99.x067
=================================================================================
 - EPSD100233499:UEFI driver and legacy Oprom are simultaneously executed under EFI optimized boot disabled
 - EPSD100023031 and EPSD100023519: fail to inject SBE/MBE errors with IVB CPU
 - EPSD100235447:GZP add-in video cannot works on CPU1 slot
 - EPSD100235429:Onboard Video device does not shown as disabled in setup
 - EPSD100023510:SUT will hang when make SBE using reworked DIMM on slot C1.
 - EPSD100023202:The device manager show a lot of yellow mark after w2008r2sp1 / w2012 installed[IVB]
 - EPSD100235382:1866 DIMM runs on 1600 on BIOS x66
 - EPSD100235312,EPSD100235313:The CPU power reading is always zero.
 - EPSD100235297:SMP NIC information missing in SMBIOS table Type 41
 - EPSD100022957:LSI Found HII Issue #7: The numeric fields ¡°Available Size¡± and ¡°Used Space¡± which appears under ¡°Advanced¡­¡± menu of ¡°Drive
 - EPSD100023499 and EPSD100023498:Canoe Pass lost variable issue
 - EPSD100234810:secure erase is no longer working
 - EPSD100235202: Unexpected "." after product name in SMBIOS Type 1
 - EPSD100234960[X]lincoln Pass Riser Slot#2: PCIe X4 card can not detected.
 - EPSD100023459:x066 BIOS show error "not support IVB C0 stepping CPU" in BIOS UI
 - Fix the issue:Qlogic PCIe3.0 oprom hasn't been dispatched.
 - Fix the issue:RMS25CB080 device cannot be automatically detected and displayed the string in setup menu
 
=================================================================================   
 				BIOS 99.99.x068
=================================================================================
 - EPSD100233621:some options are different between pressing F9 and CMOS jumper.
 - EPSD100023579:After loading both legacy OpROM and UEFI BSD - will not work for LSI ESRT2 and LSI iMR
 - EPSD100235738:Unknown devices in Windows 2008 R2 SP1 Device Manager if to use IVB CPU on Romley with X067 BIOS
 - EPSD100023562:Under windows2012 OS, Display screen is black after waken up system via LAN card
 - EPSD100235297:Grizzly Pass NIC information missing in SMBIOS table Type 41.
 - EPSD100023553/EPSD100023567/EPSD100023571/EPSD100023579 /EPSD100023602 /EPSD100023608/ EPSD100023639/EPSD100023590/EPSD100023588:OpRom dispatch issues and Video card no output issues.
 - Fix the issue:"Ctrl + C" can't enter into LSI 9200 SAS card OpRom issue with R01.03.02
 - Hide some Setup Options undefined in EPS
 - Update CPU0 Port2 Gen3 CTLE setting on JeffersonPass.
 - [RC] ESS R028_1 reference code sync
 - uCode path: 0x710 for SNB C2 PV 

=================================================================================   
 				BIOS 99.99.x069
=================================================================================
 - EPSD100023680:[WHCK]Test items "WHEAHCT Logo" failed under WIN2012x64; 
 - EPSD100023684:[WHCK]Test items "TCG TPM Integration Test (Manual)" failed under WIN2012x64 
 - EPSD100023679:[WHCK]Test items "PCI Hardware Compliance Test For Systems" failed under WIN2012x64
 - EPSD100023610:[IVB]Change the EIST optimal value to disable using AMIBCP4.53.0.50 and the value can't be saved by F10 in BIOS setup.
 - Fix the issue:PFloor Tuning option in Setup Utility cannot work
 - Add a text string to enclose the UEFI driver control

=================================================================================   
 				BIOS R02.01.0001
=================================================================================
 - EPSD100236199:Informational "PCIE core sensor" event logs created once the system boots to OS
 - EPSD100023679:[WHCK]Test items "PCI Hardware Compliance Test For Systems" failed
 - EPSD100236155:[WHQL] GZP IVB W2K8 R2 cert failed PCI compliance test due to a unknown device
 - EPSD100236000:In X69 Network Stack is hidden and the default value of IPV4 PXE option is set to disabled
 - uCode 0x416 update
 - Removed a workaround for Emulex card issue:EPSD100235140-2 Emulex LPe16002B will cause GZP BIOS hang 
 - Change "Extended ATR" default setting
 - EPS1.1 update

=================================================================================   
 				BIOS R02.01.0002
=================================================================================

 - EPSD100236329:The SEL information of SBE and MBE is incorrect on some slot
 - EPSD100236330:There is no SEL when SBE or MBE happens on some slots
 - EPSD100024109:Administrator/user password will be cleared by clearing CMOS.
 - EPSD100236272:SysCfg utility cannot query some BIOS items value with R02.01.0001
 - Change "UEFI network stack" and "IPv4 PXE support" default value from "Enabled" to "Disabled" for fixing the issue that Syscfg will crash when R2.1.1 enable UEFI PXE boot
   
=================================================================================   
 				BIOS R02.01.0003
=================================================================================
 - CCB#194: Provide option to log Pcie correctable error
 - CCB#157: customize BIOS string or version for customer 
 - CCB#185: Replace whitelist solution with pcie port based setup option for Gen3 enable/disable
 - CCB#191: Create a option in BIOS setup for System Boot timeout setting on earlier POST stage
 - PPIN feature
 - uCode 0x417 update
 - RSTe 3.8 Oprom update
 - Update ESRT2 Oprom Version A.11.02151531
 - Lan v18.5 Oprom update(1G PXE_v1.5.40;10G PXE_v2.3.08; 10G Fcoe_v1.8.05; iSCSI_v2.8.25)
 - EPSD100236394:Intel(R) I350 Gigabit Network Connections show up in Windows Server 2008 R2 USB Device Eject menu
 - IPS6000012687:problems configuring K2000 Nvidia cards from Siemens
 - EPSD100236007:(Colfax issue)Emulex PCIe card with Physical Function 0 with Initial/Total VFs= 0x0 not working
 - EPSD100023435:Option "Lockstep x4 DIMMs" auto changed back to "Auto" when set to enabled.
 - EPSD100236743 and EPSD100235154:[IVB] GZP system will BSOD after stress in Windows 2008 under 3DPC LRDIMM config
 - Make "phase shedding" Option visible, and default setting as disabled. 
 - EPSD100237159:SMBIOS Type 41 record: Device Type Instance difference with new BIOS R02.01.0002
 - EPSD100023659:Can't distinguish between IPV4 UEFI network card boot option
 - EPSD100023383:Show error "BIOS handoff failed (BIOS bug?)" after install the Linux OS
 - EPSD100023580:Format of error message show incorrect in the BIOS setup
 - EPSD100023585:There are some errors in the SMBIOS common types.
 - EPSD100023693 and EPSD100023549:[IVB]The system will halt after creating RAID with 9750-8i card insterted to PCIE slot 4/5/6.
 - EPSD100237577:There are 2 same UEFI boot option and can't be deleted
 - EPSD100024418:when goto  BIOS setup with user rights the "UEFI option rom control"option  also can changed it
 - EPSD100236913:SR-iov Protocol test fail with LeCroy Protocol Test Card for PCI Express 2.0
 - Change some strings about "Extended ATR" Option
   
=================================================================================   
 				BIOS R02.01.0004
=================================================================================
 - CCB#216:Add new devices to JKT White List
 - CCB 185 enhancement: keep Gen3 whitelist for SNB and remove it for IVB
 - Fix the Patrol scrub issue for KONTRON: System would hang/reset after POST if bad DIMM populated
 - Removed code changes for CCB#157 implementation
 - Integrated ME SPS 02.01.07.328 release

=================================================================================   
 				BIOS R02.01.0005
=================================================================================
 - EPSD100237870:CCB185 was broken on BIOS 2.1.0004
 - Fix MFG and Recovery mode issue for KONTRON

=================================================================================   
 				BIOS R02.02.0001
=================================================================================
 - Roll back IVB uCode to 0x416
 - EPSD100238067:The BIOS option "PCIe Ports Link Speed" and "Phase Shedding" could be changed if enter the BIOS setup with the user password

=================================================================================   
 				BIOS R02.02.0002
=================================================================================
 - EPSD100025442:The SUT can't power up after restore BIOS default value via removing CMOS battery

=================================================================================   
 				BIOS R02.03.0001
=================================================================================
 - [LHP]EPSD100236533:IRQ of 10GigE (on board) is not described by BIOS
 - EPSD100237259:System does not reset when memory address parity error
 - Blank consol issue fix for McAfee BIOS
 - [LHP]EPSD100237270:CTLE Settings for LHP
 - EPSD100023693/EPSD100023549:[IVB]System halt after creating RAID with 9750 card
 - EPSD100226510:User selected power policy not programmed into MSR 0xB01
 - EPSD100235014:[X] ME not reporting SmaRT/CLST events to the SEL.
 - EPSD100237542:remove blank lines in server management screen
 - EPSD100239122:Change SMBIOS Type 1 - "SKUNum and Family fields" presetting from "To be filled by O.E.M" to "00"
 - EPSD100025208:Show error "BIOS handoff failed"after installLinux OS under UE
 - EPSD100025637:The SMBIOS log has some wrong description about Port Type in Type8
 - EPSD100110682 Qlogic 4-Port Fiber Channel Cards Configuration does not work
 - EPSD100238232:[Romley IVB] [syscfg V12.10]syscfg /bbo to change boot order per second time to change and reboot into F2,find the boot order not be changed
 - EPSD100238286: SYSCFG "/bbo" and "/bbosys" not working as expected when "Static Boot Order" Enabled
 - EPSD100239175:After setting Admin password Romley BIOS is not request a password
 - EPSD100239447:The BIOS option "NTB PCIe Port on CPU2" is visible on Canoe Pass
 - EPSD100238545 - BIOS needs to support more than 8 NIC boot from PXE
 - EPSD100238599:RMS25CB080 -610 board may not be detected on some platforms
 - Microcode update to 0x424
 - CCB182: Cray Aries feature
 - CCB216 update - added new devices in white list
 - CCB226:Restore customized defaults when auto recovering from NVRAM corruption 
 - ESS R029 reference code sync (V02.00.00.03)

=================================================================================   
 				BIOS R02.03.0002
=================================================================================
 - CCB231:add "Memory Performance" option in BIOS Setup
 - Change Aries setup default value as disabled

=================================================================================   
 				BIOS R02.03.0003
=================================================================================
 - EPSD100240938:System cannot boot after using CHIPSEC to delete some runtime NVRAM variables under UEFI OS.

=================================================================================   
 				BIOS R02.03.0004
=================================================================================
 - [GZP]EPSD100023425-SMBIOS utility reports error:Internal Reference Designator
 - EPSD100023597:Some Options show up in BIOS setup but do not exist in BIOS EPS1.0
 - EPSD100241001-Removable RAID Controller in GZP
 - EPSD100239382:[X] Boot device discover problem after BMC reset with EFI Optimize
 - EPSD100241115: Boot stop on an abnormal screen after excute cmd iflash32 /rd 
 - EPSD100239100 and EPSD100239090 Zepher related issue on BlackBearPass
 - EPSD100241105:No password was required in order be able to using the key for Network
 - [EPSD100023199]The ACPI test log have an error after run Pets10.0.
 - Error messeage will not be logged after CMOS battery removal
 - EPSD100241653:WHEAHCT Logo failed in Win2012R2 WHQL test on S4600LH.
 - EPSD100241291-New ESRT2 OpROMs for Romley Production BIOSes.
 - EPSD100243269:Utilities cannot get SMBIOS in UEFI aware Linux.
 - EPSD100243271:Utilities need BIOS help to allocate 8KB reserved memory below 640
 - CCB 242: RH7 support
 - CCB184:Support NTB on Freemontpass
 - Update new IVB microcode "med306e4_00000428.pdb".

=================================================================================   
 				BIOS R02.04.0001
=================================================================================
 - EPSD100023634 and EPSD100110688:SUT won't occur SPD failure
 - EPSD100242937:AMIBCP not able change BIOS setting "C6".
 - EPSD100240898:No video output from K5000 DVI port on LHP platform]
 - Remove some unused SMIs handler to avoid potential security hole issue
 - RSTe 4.1.0.1026 OPROM update.
 - Lan v19.3 Oprom update(1G PXE_v1.5.56;10G PXE_v2.3.27; 10G Fcoe_v1.8.17; iSCSI_v3.0.34)
 - CCB 259 - Disable A7 setting

=================================================================================   
 				BIOS R02.04.0002
=================================================================================
 - Lan v19.3-rev1 Oprom update(1G PXE_v1.5.53.1;10G PXE_v2.3.24.1; 10G Fcoe_v1.8.17; iSCSI_v3.0.34) 

=================================================================================   
 				BIOS R02.04.0003
=================================================================================
 - Integrate the new SSID(0x355B) of Twinville IO module in BIOS for supporting the new EEPROM of this IOM.

=================================================================================   
 				BIOS R02.05.0001
=================================================================================
 - [C]RSTe 4.2.0.1036 OPROM update.
 - RC V2.00.00.05 code sync
 - Signed feature implementation mechanism improvement. 
 - RSTe 4.2.0.1036 OPROM update.  
 - EPSD100244006: BIOS is configuring PCI configuration space Device control register 08 on one of the downstream port of PLX and the two 10GB NIC endpoints to 256B instead of 128 .
 - EPSD100245537: Sysinfo_v13.1.4: BIOS information "system information" cannot be dump into sysinfo_log.txt. 
 - EPSD100245446: AXX10GBNIAIOM intermittently can not be detected on HNS2600WP after rebooting when installing two to four nodes in chassis. 
 - EPSD100246096: "ID_NET_NAME_ONBOARD=eno1" are same for two onboard NICs which should be different. 
 - EPSD100245931: EFI Boot Options issue in BIOS  
 - EPSD100245275: Syscfg v12 build 14: BootOrder will be changed before and after running cmd: syscfg /s file.ini /f /b 
 - EPSD100242774: Boot order will not be load default by F9 but could load default by 'Syscfg /bldfs'. 
 - EPSD100245290: No Usable Memory Found after 240V AC line exponential dropout test Variable. 

 =================================================================================   
        BIOS R02.05.0002
=================================================================================
NOTICE:  As security requirement, R02.05.0002 reversion doesn't support capsule downgrade in normal mode.
 - Integrated variable lock.
 - Integrated S3 security RC patch.
 - EPSD100028003: R02.05.0001 OFU/iflash32 hang.
 - EPSD100245536: Sysinfo_v13.1.4: BIOS option "Processor PCIe Linkd Speed<socket1 and socket2>"  cannot be dump into sysinfo_log.txt. 
 - EPSD100247384: [x]BIOS configuration re-initialization issue after cold boots. 

  =================================================================================   
        BIOS R02.05.0003
=================================================================================
 - Patch for EPSD100247384([x]BIOS configuration re-initialization issue after cold boots.). 
   =================================================================================   
        BIOS R02.05.0004
=================================================================================
 - Hotfix for S3 security issue. 

[END OF RELEASE NOTES]
    